package com.edgec.browserbackend.account.domain;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

@Data
@Document(collection = "phoneotp")
@JsonIgnoreProperties(ignoreUnknown = true)
public class Otp {

    /**
     * 手机号
     */
    @Id
    private String phone;

    /**
     * 发送给用户的短信验证码
     */
    private String otp;

    /**
     * 短信验证码的发送时间
     */
    private long createdAt;

}
