package com.edgec.browserbackend.account.domain;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;

/**
 * @Desc
 * @Author jason
 * @CreateTime 2020/3/12 3:14 下午
 **/
@Getter
@Setter
@JsonIgnoreProperties(ignoreUnknown = true)
public class Promotion {
    /**
     * 邀请码（用户邀请好友使用本产品）
     */
    private String code;
    /**
     * 邀请人数
     */
    private int invitedUsers;

    /**
     * 好友本月以前总消费
     */
    private int totalCommission;

    /**
     * 好友当月消费
     */
    private int commission;

    /**
     * 好友上月总消费
     */
    private int commissionLastMonth;

    /**
     * 是否是本公司的销售
     */
    private boolean isSale;

    /**
     * 当月礼金
     */
    private double gift;

    /**
     * 所有未提现金额
     */
    private double allGift;

    /**
     * 已提现金额
     */
    private double withdrawn;

}
