package com.edgec.browserbackend.account.domain;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

@Getter
@Setter
@Document(collection = "userbalance")
@JsonIgnoreProperties(ignoreUnknown = true)
public class UserBalance {

    /**
     * 用户手机号
     */
    @Id
    private String username;

    /**
     * 账户余额
     */
    private float balanced;

    private float used;
}
