package com.edgec.browserbackend.account.domain;

import lombok.Data;

@Data
public class IpChargeRequestDto {
    private int period;
    private int amount;
    private String region;
    private String unit = "month";

    private String target;
    //0 -- 充值, 1 -- newip, 2 --renew, 3 -- 退还
    private int chargeType = 0;
    //0 -- 余额, 1 -- 支付宝, 2 -- 微信
    private int payMethod = 0;

    private float daysPerMonth = 0;

    private String tradeNo;

    private String services;

    /**
     * 续费ip
     */
    private String chargeIp;


}
